org.eclipse.net4j.util.om.monitor

## Class AbstractMonitor.AsyncTimerTask

- java.lang.Object
- - java.util.TimerTask
  - - org.eclipse.net4j.util.concurrent.TrackableTimerTask
    - - org.eclipse.net4j.util.om.monitor.AbstractMonitor.AsyncTimerTask

- All Implemented Interfaces:
    Runnable, OMMonitor.Async
  Enclosing class:
    AbstractMonitor

      public static class AbstractMonitor.AsyncTimerTask
      extends TrackableTimerTask
      implements OMMonitor.Async

  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.concurrent.TrackableTimerTask

      `TRACK_TIMER_TASKS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncTimerTask(AbstractMonitor parent, double parentWork, double timeFactor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `cancel()`
    `void` | `run()`
    `void` | `stop()`

    - ### Methods inherited from class org.eclipse.net4j.util.concurrent.TrackableTimerTask

      `getConstructionStackTraces, logConstructionStackTraces`

    - ### Methods inherited from class java.util.TimerTask

      `scheduledExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncTimerTask

          public AsyncTimerTask(AbstractMonitor parent,
                                double parentWork,
                                double timeFactor)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Specified by:
        `run` in class `TimerTask`

    - #### stop

          public void stop()

      Specified by:
        `stop` in interface `OMMonitor.Async`

    - #### cancel

          public boolean cancel()

      Overrides:
        `cancel` in class `TrackableTimerTask`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html